<?php

/*
Plugin Name: Embed social media
Description: Simple Facebook and Instagram embeds without facebook app
Version: 1.0
Author: e.nechehin
Author URI: https://github.com/nechehin
*/
/*  Copyright 2020  e.nechehin  (email: nechehin@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if ( ! defined( 'WPINC' ) ) {
	die;
}

wp_embed_register_handler('fb-embed-instagram', '#https:\/\/www.instagram.com/p/([^\/]*)#', function($matches, $attr, $url){
    return sprintf(
        '<blockquote class="instagram-media" data-instgrm-captioned data-instgrm-permalink="%s" data-instgrm-version="12"  style="background:#FFF; border:0; border-radius:3px; max-width:540px; min-width:326px; padding:0; width:99.375%%; width:-webkit-calc(100%% - 2px); width:calc(100%% - 2px);">
              <div style="padding:16px;"></div>
         </blockquote>
         <script async defer src="//www.instagram.com/embed.js"></script>'
    , $url);
});

wp_embed_register_handler('fb-embed-facebook', '#https:\/\/www.facebook.com/(.*)#', function($matches, $attr, $url){
    return sprintf(
        '<script async defer crossorigin="anonymous" src="https://connect.facebook.net/%s/sdk.js#xfbml=1&version=v8.0"></script>
         <div class="fb-post" data-href="%s" data-width="500"></div>'
    , get_locale(), $url);
});